import * as _walkeros_core_dev from '@walkeros/core/dev';
import { DestinationServer } from '@walkeros/server-core';
import { FirehoseClient, PutRecordBatchCommand } from '@aws-sdk/client-firehose';
import { Flow } from '@walkeros/core';

declare const settings: _walkeros_core_dev.JSONSchema;
declare const mapping: _walkeros_core_dev.JSONSchema;
declare const firehose: _walkeros_core_dev.JSONSchema;

declare const schemas_firehose: typeof firehose;
declare const schemas_mapping: typeof mapping;
declare const schemas_settings: typeof settings;
declare namespace schemas {
  export { schemas_firehose as firehose, schemas_mapping as mapping, schemas_settings as settings };
}

interface Env extends DestinationServer.Env {
    AWS: {
        FirehoseClient: typeof FirehoseClient;
        PutRecordBatchCommand: typeof PutRecordBatchCommand;
    };
}

declare const push: Env;
declare const simulation: string[];

declare const env_push: typeof push;
declare const env_simulation: typeof simulation;
declare namespace env {
  export { env_push as push, env_simulation as simulation };
}

declare const firehoseRecord: Flow.StepExample;
declare const orderEvent: Flow.StepExample;
declare const userSignupEvent: Flow.StepExample;

declare const step_firehoseRecord: typeof firehoseRecord;
declare const step_orderEvent: typeof orderEvent;
declare const step_userSignupEvent: typeof userSignupEvent;
declare namespace step {
  export { step_firehoseRecord as firehoseRecord, step_orderEvent as orderEvent, step_userSignupEvent as userSignupEvent };
}

declare const index$1_env: typeof env;
declare const index$1_step: typeof step;
declare namespace index$1 {
  export { index$1_env as env, index$1_step as step };
}

declare const index_env: typeof env;
declare const index_step: typeof step;
declare namespace index {
  export { index_env as env, index$1 as firehose, index_step as step };
}

export { index as examples, schemas };
